Add a space

POST https://manage.kontent.ai/v2/projects/:environment_id/spaces

Create a new space in your environment.

Request Body

{"id"=>"<uuid>", "name"=>"<string>", "codename"=>"<string>", "web_spotlight_root_item"=>{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, "collections"=>[{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}]}

HEADERS

KeyDatatypeRequiredDescription
Content-Typestring
Acceptstring

RESPONSES

status: Created

{&quot;id&quot;:&quot;6291c693-f6e4-4a6b-ac67-5c31c32f9388&quot;,&quot;name&quot;:&quot;Space 1&quot;,&quot;codename&quot;:&quot;space_1&quot;,&quot;web_spotlight_root_item&quot;:{&quot;value&quot;:&quot;\u003cError: Too many levels of nesting to fake this schema\u003e&quot;},&quot;collections&quot;:[{&quot;value&quot;:&quot;\u003cError: Too many levels of nesting to fake this schema\u003e&quot;}]}